Subject: bug#21796: 25.0.50; exiting ediff can leave Emacs unresponsive to keyboard input

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 Oct 2015 09:34:16 +0200

> From: Sean McAfee <[email-masked]>
> Date: Fri, 30 Oct 2015 17:02:24 -0700
> 
> 1. Start graphical Emacs with emacs -Q.
> 2. Create a buffer named "foo" with C-x b foo RET; insert the text "foo\n" there.
> 3. Create a second buffer named "bar" with C-x 4 b bar RET; insert the
> text "bar\n" there.
> 4. M-x ediff-buffers foo RET bar RET
> 5. Either exit Ediff immediately with q, or move around and past the
> single difference region with n's and p's, then exit.
> 
> With an appreciable frequency, after these steps Emacs is left in a
> state in which it ignores any further keyboard input.  Mouse
> interactions are unaffected, but not particularly useful with no more
> keyboard input registering.  I have to close Emacs and restart, but if
> Emacs asks me any questions before closing (eg. if I want to save any
> modified files, or exit despite some processes still running), I'm
> stuck; I cannot respond, so I have to open a terminal and kill the Emacs
> process.

I cannot reproduce this.  Emacs doesn't become unresponsive when I try
this recipe.

When this happens, can you attach a debugger and show both a C
backtrace and a Lisp backtrace?